curl --request PUT \
--url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/financial-plan \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"goals": [
{
"name": "Retirement Fund",
"goal_type": "retirement",
"target_amount": "500000.00",
"target_date": "2045-01-01",
"priority": 1,
"monthly_contribution": "500.00"
},
{
"name": "Emergency Fund",
"goal_type": "emergency",
"target_amount": "30000.00",
"priority": 2,
"monthly_contribution": "200.00"
}
],
"life_events": [
{
"name": "College for Sarah",
"event_type": "college",
"expected_date": "2030-09-01",
"estimated_cost": "100000.00"
}
],
"external_accounts": [
{
"name": "Chase Checking",
"account_type": "checking",
"is_asset": true,
"balance": "15000.00"
},
{
"name": "Mortgage",
"account_type": "mortgage",
"is_asset": false,
"balance": "350000.00"
}
],
"income": {
"total_monthly_income": "12000.00",
"sources": [
{
"name": "Salary",
"type": "salary",
"amount": "10000.00",
"frequency": "monthly"
},
{
"name": "Rental Income",
"type": "rental",
"amount": "2000.00",
"frequency": "monthly"
}
]
},
"expenses": {
"total_monthly_expenses": "8000.00",
"categories": [
{
"name": "Housing",
"type": "housing",
"amount": "3000.00",
"frequency": "monthly",
"is_essential": true
}
]
},
"investment_outlook": {
"expected_return_rate": "7.00",
"inflation_assumption": "2.50",
"risk_capacity": "moderate",
"tax_bracket": "24"
}
}
'{
"financial_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"goals": [
{
"goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Retirement Fund",
"goal_type": "retirement",
"target_amount": "500000.00",
"target_date": "2045-01-01",
"currency": "USD",
"priority": 5,
"initial_amount": "<string>",
"current_amount": "<string>",
"progress_percent": "<string>",
"amount_remaining": "<string>",
"monthly_contribution": "<string>",
"projected_completion_date": "2023-12-25",
"on_track": true,
"portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"life_events": [
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "College for Sarah",
"event_type": "college",
"expected_date": "2023-12-25",
"estimated_cost": "<string>",
"currency": "USD",
"recurring": false,
"linked_goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"external_accounts": [
{
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Chase Checking",
"account_type": "checking",
"is_asset": true,
"balance": "<string>",
"currency": "USD",
"institution": "<string>",
"interest_rate": "0.065",
"interest_rate_type": "fixed",
"minimum_payment": "<string>",
"payment_due_day": 16,
"maturity_date": "2023-12-25",
"original_loan_amount": "<string>",
"credit_limit": "<string>",
"property_value": "<string>",
"appreciation_rate": "<string>",
"contribution_limit": "<string>",
"employer_match": "<string>",
"vesting_schedule": {},
"notes": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"income": {
"total_monthly_income": "<string>",
"sources": [
{
"name": "Salary",
"type": "salary",
"amount": "<string>",
"currency": "USD",
"frequency": "weekly",
"is_taxable": true
}
]
},
"expenses": {
"total_monthly_expenses": "<string>",
"categories": [
{
"name": "Housing",
"type": "housing",
"amount": "<string>",
"currency": "USD",
"frequency": "weekly",
"is_essential": true
}
]
},
"investment_outlook": {
"expected_return_rate": "7.00",
"inflation_assumption": "2.50",
"risk_capacity": "low",
"tax_bracket": "24",
"state_of_residence": "CA"
},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Creates or updates the holistic financial plan for an account. The financial plan captures goals, life events, external accounts, income, expenses, and investment outlook. This is an idempotent operation - creates if not exists, updates if exists.
curl --request PUT \
--url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/financial-plan \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"goals": [
{
"name": "Retirement Fund",
"goal_type": "retirement",
"target_amount": "500000.00",
"target_date": "2045-01-01",
"priority": 1,
"monthly_contribution": "500.00"
},
{
"name": "Emergency Fund",
"goal_type": "emergency",
"target_amount": "30000.00",
"priority": 2,
"monthly_contribution": "200.00"
}
],
"life_events": [
{
"name": "College for Sarah",
"event_type": "college",
"expected_date": "2030-09-01",
"estimated_cost": "100000.00"
}
],
"external_accounts": [
{
"name": "Chase Checking",
"account_type": "checking",
"is_asset": true,
"balance": "15000.00"
},
{
"name": "Mortgage",
"account_type": "mortgage",
"is_asset": false,
"balance": "350000.00"
}
],
"income": {
"total_monthly_income": "12000.00",
"sources": [
{
"name": "Salary",
"type": "salary",
"amount": "10000.00",
"frequency": "monthly"
},
{
"name": "Rental Income",
"type": "rental",
"amount": "2000.00",
"frequency": "monthly"
}
]
},
"expenses": {
"total_monthly_expenses": "8000.00",
"categories": [
{
"name": "Housing",
"type": "housing",
"amount": "3000.00",
"frequency": "monthly",
"is_essential": true
}
]
},
"investment_outlook": {
"expected_return_rate": "7.00",
"inflation_assumption": "2.50",
"risk_capacity": "moderate",
"tax_bracket": "24"
}
}
'{
"financial_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"goals": [
{
"goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Retirement Fund",
"goal_type": "retirement",
"target_amount": "500000.00",
"target_date": "2045-01-01",
"currency": "USD",
"priority": 5,
"initial_amount": "<string>",
"current_amount": "<string>",
"progress_percent": "<string>",
"amount_remaining": "<string>",
"monthly_contribution": "<string>",
"projected_completion_date": "2023-12-25",
"on_track": true,
"portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"life_events": [
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "College for Sarah",
"event_type": "college",
"expected_date": "2023-12-25",
"estimated_cost": "<string>",
"currency": "USD",
"recurring": false,
"linked_goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"external_accounts": [
{
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Chase Checking",
"account_type": "checking",
"is_asset": true,
"balance": "<string>",
"currency": "USD",
"institution": "<string>",
"interest_rate": "0.065",
"interest_rate_type": "fixed",
"minimum_payment": "<string>",
"payment_due_day": 16,
"maturity_date": "2023-12-25",
"original_loan_amount": "<string>",
"credit_limit": "<string>",
"property_value": "<string>",
"appreciation_rate": "<string>",
"contribution_limit": "<string>",
"employer_match": "<string>",
"vesting_schedule": {},
"notes": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"income": {
"total_monthly_income": "<string>",
"sources": [
{
"name": "Salary",
"type": "salary",
"amount": "<string>",
"currency": "USD",
"frequency": "weekly",
"is_taxable": true
}
]
},
"expenses": {
"total_monthly_expenses": "<string>",
"categories": [
{
"name": "Housing",
"type": "housing",
"amount": "<string>",
"currency": "USD",
"frequency": "weekly",
"is_essential": true
}
]
},
"investment_outlook": {
"expected_return_rate": "7.00",
"inflation_assumption": "2.50",
"risk_capacity": "low",
"tax_bracket": "24",
"state_of_residence": "CA"
},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}HTTP Basic Authentication using the API Key as username and API Secret as password.
Unique key for idempotent operation
128The investor account ID
Request body for creating/updating a financial plan
Show child attributes
Show child attributes
Show child attributes
Income sources and amounts
Show child attributes
Expense categories and amounts
Show child attributes
Investment expectations and risk capacity
Show child attributes
Financial plan created or updated successfully
Holistic financial plan capturing goals, events, accounts, income, expenses, and investment outlook
Unique identifier for the financial plan
The investor account this plan belongs to
Version number for plan snapshots
Array of financial goals
Show child attributes
Planned major life events
Show child attributes
External accounts for net worth tracking (assets & liabilities)
Show child attributes
Income sources and amounts
Show child attributes
Expense categories and amounts
Show child attributes
Investment expectations and risk capacity
Show child attributes
active, archived